
Name:		libnetfilter_cthelper0
Version:	1.0.0
Release:	2.1
Group:		Productivity/Networking/Security
Summary:	Conntrack helper library for Netfilter subsystem
License:	GPL
URL:		http://netfilter.org/projects/libnetfilter_cthelper/

Source:		libnetfilter_cthelper-%version.tar.bz2
BuildRequires:	libnfnetlink-devel libmnl-devel pkgconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
%if "%{?vendor_uuid}" != ""
Provides:	%name(vendor=%vendor_uuid) = %{version}-%{release}
%endif

%description
libnetfilter_cthelper is a library which allows user-space programs
to interface the kernel connection tracking helpers of the Netfilter
subsystem in the Linux kernel. 

Author(s):
----------
	Pablo Neira Ayuso <pablo@netfilter.org>
	Netfilter Team <netfilter-devel@vger.kernel.org>

%package -n libnetfilter_cthelper-devel
Group:		Development/Libraries/C and C++
Summary:	Development files for libnetfilter_cthelper
Requires:	%name = %version
Requires:	libmnl-devel

%description -n libnetfilter_cthelper-devel
Development files for libnetfilter_cthelper.

Author(s):
----------
	Netfilter Team <netfilter-devel@vger.kernel.org>
	Éric Leblond
	Pablo Neira Aysuo
	Harald Welte

%prep
%setup -qn libnetfilter_cthelper-%version

%build
%configure --disable-static
%__make %{?jobs:-j%jobs};

%install
b="%buildroot";
mkdir -p "$b";
%__make install DESTDIR="$b";
find "$b" -type f -iname "*.la" -print0 | xargs -0 rm -f;

%clean
rm -Rf "%buildroot";

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_libdir/lib*.so.*

%files -n libnetfilter_cthelper-devel
%defattr(-,root,root)
%_includedir/*
%_libdir/lib*.so
%_libdir/pkgconfig/*

%changelog
* Tue Oct  9 2012 cs@linux-administrator.com
- initial build 1.0.0
